/**
 * Compile module.
 * @namespace lib.compile
 * @author Taka Okunishi
 *
 */

var prototype = require('./_prototype.js');
/**
 * Define an object property getter to access prototype property.
 * @private
 */
function getPrototypeProperty (key) {
    return {
        enumerable: true,
        get: function () {
            return prototype[key];
        }
    };
}

// Export prototype properties with lazy loading.
Object.defineProperties(exports, {
    compileCoffeeScriptFile: getPrototypeProperty('compileCoffeeScriptFile'),
    compileCoffeeScriptString: getPrototypeProperty('compileCoffeeScriptString'),
    compileJadeFile: getPrototypeProperty('compileJadeFile'),
    compileJadeString: getPrototypeProperty('compileJadeString'),
    compileLessFile: getPrototypeProperty('compileLessFile'),
    compileLessString: getPrototypeProperty('compileLessString'),
    precompileJadeFile: getPrototypeProperty('precompileJadeFile'),
    precompileJadeString: getPrototypeProperty('precompileJadeString')

});

